Bug 134634 - Turn on img@sizes compile flag
Summary: Turn on img@sizes compile flag
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-04 06:52 PDT by Yoav Weiss
Modified: 2014-07-09 03:22 PDT (History)
12 users (show)

See Also:


Attachments
Patch (2.67 KB, patch)
2014-07-04 06:53 PDT, Yoav Weiss
no flags Details | Formatted Diff | Diff
Patch (13.26 KB, patch)
2014-07-06 14:21 PDT, Yoav Weiss
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yoav Weiss 2014-07-04 06:52:06 PDT
Turn on img@sizes compile flag
Comment 1 Yoav Weiss 2014-07-04 06:53:56 PDT
Created attachment 234408 [details]
Patch
Comment 2 Dean Jackson 2014-07-04 12:36:54 PDT
Comment on attachment 234408 [details]
Patch

Alas, you need to do a bit more than this to turn it on by default. All you are doing here is toggling it to be on by default build-webkit, but not everyone uses this.

You should look at the patches that change FeatureDefines.xcconfig (which covers Apple's ports) as well as other configs for the remaining ports.
Comment 3 Dean Jackson 2014-07-04 12:37:25 PDT
The r- isn't for the feature of course :)
Comment 4 Yoav Weiss 2014-07-06 14:21:19 PDT
Created attachment 234465 [details]
Patch
Comment 5 Yoav Weiss 2014-07-06 14:23:07 PDT
Thanks for reviewing! :)

I've added the flag and turned it on by default in a bunch of other places. I hope that covers everything.
Comment 6 WebKit Commit Bot 2014-07-06 22:02:56 PDT
Comment on attachment 234465 [details]
Patch

Clearing flags on attachment: 234465

Committed r170837: <http://trac.webkit.org/changeset/170837>
Comment 7 WebKit Commit Bot 2014-07-06 22:03:02 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Simon Fraser (smfr) 2014-07-08 22:54:48 PDT
This broke a test which has been causing red bots for two days now:
http://build.webkit.org/results/Apple%20Mavericks%20Debug%20WK2%20(Tests)/r170906%20(5573)/results.html
Comment 9 Yoav Weiss 2014-07-09 00:10:47 PDT
I see why this test can be flaky. I'll fix that tomorrow
Comment 10 Carlos Alberto Lopez Perez 2014-07-09 03:22:20 PDT
On platform GTK 3 of this tests are failing. Reported here: https://bugs.webkit.org/show_bug.cgi?id=134756